Skip to main content
GET
/
mattertypes
/
{id}
Get a matter type
curl --request GET \
  --url https://api.smokeball.com/mattertypes/{id} \
  --header 'Authorization: <api-key>' \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.smokeball.com/mattertypes/{id}"

headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};

fetch('https://api.smokeball.com/mattertypes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "href": "<string>",
  "relation": "<string>",
  "method": "GET",
  "self": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "id": "009f778f-83df-454a-b344-768a862a7e55",
  "versionId": "832e778f-83df-454a-b344-768a862a7e67",
  "name": "Federal Litigation",
  "category": "Litigation",
  "type": 0,
  "representativeOptions": [
    "Applicant",
    "Respondent"
  ],
  "location": "Litigation",
  "isDeleted": true,
  "items": [
    {
      "href": "<string>",
      "relation": "<string>",
      "method": "GET",
      "self": {
        "id": "<string>",
        "href": "<string>",
        "relation": "<string>",
        "method": "GET"
      },
      "id": "Plaintiff",
      "providerId": "roles_provider",
      "itemId": "009f778f-83df-454a-b344-768a862a7e55",
      "name": "Claimant",
      "subItems": "<array>"
    }
  ]
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Path Parameters

id
string
required

Response

When request is successful. Returns a 'MatterType' object.

href
string | null
relation
string | null
method
string | null
default:GET
self
object | null
id
string | null

Unique identifier of the matter type.

Example:

"009f778f-83df-454a-b344-768a862a7e55"

versionId
string | null

Version id of the record.

Example:

"832e778f-83df-454a-b344-768a862a7e67"

name
string | null

Name of the matter type.

Example:

"Federal Litigation"

category
string | null

Name of the category to which the matter type belongs.

Example:

"Litigation"

type
enum<integer>

Name of the category type to which the matter type belongs (i.e. MatterType or LeadType).

Possible values: Matter Type = 0, Lead Type = 1.

Available options:
0,
1
Example:

0

representativeOptions
string[] | null

List of possible representative types for the matter type.

Example:
["Applicant", "Respondent"]
location
string | null

State to which the matter type belongs.

Example:

"Litigation"

isDeleted
boolean

Returns true if the matter type is deleted.

Deleted matter types cannot be used when creating new leads/matters.

items
object[] | null